import { Board } from "../../../DatabaseServices/Entity/Board";
import { Curve } from "../../../DatabaseServices/Entity/Curve";
import { Entity } from "../../../DatabaseServices/Entity/Entity";
export declare function ZoomToEntity(en: Entity): void;
export declare class BoardEdgesEditor {
    protected _brMap: Map<Board, Curve[]>;
    protected _boardList: Board[];
    private _editoring;
    private _cameraFiler;
    protected InitData(): Promise<void>;
    protected InitCurve(): void;
    protected ShowToaster(): void;
    protected ParseData(): void;
    protected WriteData(): Promise<void>;
    StartEditor(brs: Board[]): Promise<void>;
    EndEditor(cancel?: boolean): Promise<void>;
    private Start;
}
//# sourceMappingURL=BoardEdgesEditor.d.ts.map