import { Curve } from "../../DatabaseServices/Entity/Curve";
import { Shape } from "../../DatabaseServices/Shape";
/**
 * 优化走刀路径,连接偏移后的曲线数组
 * @param offsetCus 偏移后的曲线组
 * @param originShape 原始走刀形状
 * @param rad  刀半径
 * @returns tool path
 */
export declare function OptimizeToolPath(offsetCus: Curve[], originShape: Shape, rad: number): Curve[];
export declare function GetOffsetCurves(cu: Curve, dist: number): Curve[];
/** 获得曲线内偏移方向*/
export declare function GetCurveToInDir(cu: Curve): number;
//# sourceMappingURL=OptimizeToolPath.d.ts.map